aboutsummaryrefslogtreecommitdiff
path: root/testing/cpt/post-install
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2021-03-12 21:37:11 +0300
committerCem Keylan <cem@ckyln.com>2021-03-12 21:37:11 +0300
commitaa27c454ea76eb2fe945edab437c735710290497 (patch)
treec283cc50a1bf1afbcfd15869bb3c69287c285aa5 /testing/cpt/post-install
parent475b9684e72914b8fd2ea7c991e2e809c8982651 (diff)
downloadrepository-aa27c454ea76eb2fe945edab437c735710290497.tar.gz
cpt: add new package at 5.1.2 [TESTING]
Diffstat (limited to 'testing/cpt/post-install')
-rwxr-xr-xtesting/cpt/post-install13
1 files changed, 13 insertions, 0 deletions
diff --git a/testing/cpt/post-install b/testing/cpt/post-install
new file mode 100755
index 00000000..7f98b4d9
--- /dev/null
+++ b/testing/cpt/post-install
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+grep -q '\.la$' "$CPT_ROOT/var/db/cpt/installed/"*/manifest || exit 0
+
+find "$CPT_ROOT/usr/lib" \
+ ! -type d \
+ -name '*.la' \
+ -exec rm -f -- {} +
+
+find "$CPT_ROOT/var/db/cpt/installed" \
+ ! -type d \
+ -name manifest \
+ -exec sed -i '/.*\.la$/d' {} +